package com.qmth.eds.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 任课老师result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/5/23
 */
public class TeacherResult implements Serializable {

    @ApiModelProperty(value = "工号")
    String code;

    @ApiModelProperty(value = "名称")
    String name;

    public TeacherResult() {

    }

    public TeacherResult(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
