package com.qmth.eds.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.bean.dto.AssignListDto;
import com.qmth.eds.bean.dto.ExamAssignDto;
import com.qmth.eds.common.entity.CloudMarkingScore;
import com.qmth.eds.common.entity.ExamAssign;

import java.util.Map;

/**
 * <p>
 * 赋分管理 服务类
 * </p>
 */
public interface ExamAssignService extends IService<ExamAssign> {


    IPage<AssignListDto> pageData(Long semesterId, Long examTypeId, String courseCode, Integer pageNumber, Integer pageSize);

    boolean calcData(Long semesterId, Long examTypeId, String courseCode, String courseName, String formula, Double fullScore, Double passScore, String coefficient);

    IPage<CloudMarkingScore> result(Long semesterId, Long examTypeId, String courseCode, String courseName, String formula, Integer pageNumber, Integer pageSize);

    Map contrast(Long semesterId, Long examTypeId, String courseCode);

    ExamAssignDto toCalc(Long semesterId, Long examTypeId, String courseCode);
}
