package com.qmth.eds.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.qmth.eds.common.entity.SysUserRole;
import com.qmth.eds.mapper.SysUserRoleMapper;
import com.qmth.eds.service.SysUserRoleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户和角色关联表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2022-05-14
 */
@Service
public class SysUserRoleServiceImpl extends ServiceImpl<SysUserRoleMapper, SysUserRole> implements SysUserRoleService {

    @Override
    public void deleteByUserId(Long userId) {
        UpdateWrapper<SysUserRole> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(SysUserRole::getUserId, userId);
        this.baseMapper.delete(updateWrapper);
    }
}
