package com.qmth.eds.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.common.entity.ExamSemester;

import java.util.List;

/**
 * 学期表 服务类
 */
public interface ExamSemesterService extends IService<ExamSemester> {

    List<ExamSemester> listBySchoolId();

    boolean saveData(ExamSemester examSemester);

    boolean delete(Long id);

    IPage<ExamSemester> pageData(Integer pageNumber, Integer pageSize);
}
